#include <iostream>
using namespace std;

int main()
{
    int n,L,h[1000],i,g=-1;
    cin>>n>>L;
    for(i=1;i<=n;i++)
    {
        cin>>h[i];
        if(L>=h[i]&&g==-1)
        {
            g=i;
        }
    }
    cout<<g;
    return 0;
}